PETSc version 3.15.5
Fix/Edit manual page

# PetscSFWindowGetInfo

Get the MPI_Info handle used for windows allocation

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowGetInfo(PetscSF sf,MPI_Info *info)

Logically Collective

### Input Argument

| sf | - star forest for communication

### Output Argument

| info | - MPI_Info handle

Notes: if PetscSFWindowSetInfo() has not be called, this returns MPI_INFO_NULL

### See Also

PetscSFSetFromOptions(), PetscSFWindowSetInfo()

### Level

advanced

### Location

src/vec/is/sf/impls/window/sfwindow.c

### Implementations

PetscSFWindowGetInfo_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages